Last Comment Bug 657173 - don't format URL bar value when location bar is focused
: don't format URL bar value when location bar is focused
Status: VERIFIED FIXED
:
Product: Firefox
Classification: Client Software
Component: Location Bar (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 6
Assigned To: :Gavin Sharp [email: gavin@gavinsharp.com]
:
Mentors:
Depends on:
Blocks: 654729
  Show dependency treegraph
 
Reported: 2011-05-14 16:38 PDT by :Gavin Sharp [email: gavin@gavinsharp.com]
Modified: 2011-07-28 07:48 PDT (History)
8 users (show)
dao+bmo: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (1.05 KB, patch)
2011-05-14 16:39 PDT, :Gavin Sharp [email: gavin@gavinsharp.com]
dao+bmo: review+
Details | Diff | Splinter Review

Description :Gavin Sharp [email: gavin@gavinsharp.com] 2011-05-14 16:38:09 PDT
See bug 654729 comment 9.
Comment 1 :Gavin Sharp [email: gavin@gavinsharp.com] 2011-05-14 16:39:45 PDT
Created attachment 532480 [details] [diff] [review]
patch
Comment 3 AndreiD[QA] 2011-05-20 05:40:21 PDT
The issue described in bug 654729 is still reproducible on:
Mozilla/5.0 (Windows NT 6.1; rv:6.0a1) Gecko/20110519 Firefox/6.0a1

Following the STRs in Comment 9 still reveals the weird highlighting as in the attachment/screenshot.
It is unclear if this bug and 654729 are FIXED or not.
Comment 4 :Gavin Sharp [email: gavin@gavinsharp.com] 2011-05-20 14:42:53 PDT
(In reply to comment #3)
> The issue described in bug 654729 is still reproducible on:
> Mozilla/5.0 (Windows NT 6.1; rv:6.0a1) Gecko/20110519 Firefox/6.0a1

Bug 654729 comment 14 disagrees. Are you sure?
Comment 5 Simona B [:simonab] 2011-07-28 07:48:31 PDT
Mozilla/5.0 (Windows NT 5.1; rv:6.0) Gecko/20100101 Firefox/6.0

Verified issue on Windows XP, Windows 7, Mac OS X 10.6 and Ubuntu - no weird highlight appears when formatting and adding text in the URL bar.

Setting resolution to VERIFIED FIXED.

Note You need to log in before you can comment on or make changes to this bug.